Subject: bug#20175: 24.4; Ubuntu upon exit from EDIFF mode keyboard no longer functions

From: Noam Postavsky <[email-masked]>
Date: Mon, 16 Jul 2018 18:35:49 -0400

merge 20175 21796
quit

<[email-masked]> writes:

> When does this occur:
>     Upon exit from EDIFF mode (press the letter q in the EDIFF window)
>     Ediff requests (in the main window) to confirm, I confirm
>     The EDIFF window closes and the problem occurs.
>
> What is observed:
>     The emacs window no longer accepts keyboard input
>     All other windows - etc work 100% perfect no problem.
>
> To exit Emacs
>     I must use the mouse and GUI window
>     I can use the mouse and switch buffers and copy/paste things
>     However *no* keyboard input works any more to any emacs window.
>     Example: If I create a second frame on the same display - both
> frames do not work.
>
> How easy is to to reproduce: Super easy, 100% of the time
> Repeatable when starting like this: "emacs -Q"

It looks the same as Bug#21796, but I can't reproduce it, even with a
GTK build.

It also looks similar to Bug#23583 which I am able to reproduce, but is
fixed in 26.1.

Does anyone still see this bug in 26.1?